﻿using System;
using System.Drawing;


namespace Practic_rab_1
{
    /// <summary>
    /// Класс формы для работы с кнопками
    /// </summary>
    public partial class FormForButtonClick : System.Windows.Forms.Form
    {
        public FormForButtonClick()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Обработчик нажатия на кнопку RedBtn, изменяет цвет метки на красный
        /// </summary>
        private void RedBtn_Click(object sender, EventArgs e)
        {
            Metkalbl.ForeColor = Color.Red;
        }

        /// <summary>
        /// Обработчик нажатия на кнопку YellowBtn, изменяет цвет метки на желтый
        /// </summary>
        private void YellowBtn_Click(object sender, EventArgs e)
        {
            Metkalbl.ForeColor = Color.Yellow;

        }

        /// <summary>
        /// Обработчик нажатия на кнопку BlueBtn, изменяет цвет метки на синий
        /// </summary>
        private void BlueBtn_Click(object sender, EventArgs e)
        {
            Metkalbl.ForeColor = Color.Blue;

        }

        /// <summary>
        /// Обработчик нажатия на кнопку PurpleBtn, изменяет цвет метки на фиолетовый
        /// </summary>
        private void PurpleBtn_Click(object sender, EventArgs e)
        {
            Metkalbl.ForeColor = Color.Purple;
        }


        /// <summary>
        /// Обработчик события загрузки формы, устанавливает цвет фона формы - фиолетовый
        /// </summary>
        /// <param name="sender">Объект, который вызвал событие</param>
        /// <param name="e">Аргументы события</param>
        private void FormForButtonClick_Load(object sender, EventArgs e)
        {
            BackColor = Color.Purple;
        }
    }
}
